package cn.kdan.pdf.tech.core.enums;

/**
 * @author tangxiangan
 */

public enum CaptchaActionEnum {
    //超管注册
    USER_REGISTER("0", "注册用户发送验证码", "Verification Code for your PDF Tech Console",
            "<p>\n" +
                    "\t<span style=\"font-size:16px;font-family:Arial;\"><span style=\"font-size:16px;\"><span style=\"font-size:16px;font-family:Arial;\">Hi,</span></span></span> \n" +
                    "</p>\n" +
                    "<p>\n" +
                    "\t<span style=\"font-size:16px;font-family:Arial;\"><span style=\"font-size:16px;\"><span style=\"font-size:16px;font-family:Arial;\"><br />\n" +
                    "</span></span></span> \n" +
                    "</p>\n" +
                    "<span style=\"font-size:16px;font-family:Arial;\"><span style=\"font-size:16px;\"><span style=\"font-size:16px;font-family:Arial;\">Please use this verification code to complete your sign-up:<br />\n" +
                    "</span></span></span> \n" +
                    "<p>\n" +
                    "\t<span style=\"font-size:16px;font-family:Arial;\"><span style=\"font-size:16px;\"><span style=\"font-size:16px;font-family:Arial;\">%s</span></span></span> \n" +
                    "</p>\n" +
                    "<p>\n" +
                    "\t<span style=\"font-size:16px;font-family:Arial;\"><span style=\"font-size:16px;\"><span style=\"font-size:16px;font-family:Arial;\"><br />\n" +
                    "</span></span></span> \n" +
                    "</p>\n" +
                    "<span style=\"font-size:16px;font-family:Arial;\"><span style=\"font-size:16px;\"><span style=\"font-size:16px;font-family:Arial;\">Your account can’t be accessed without this verification code, even if you didn’t submit this request.</span></span><span style=\"font-size:16px;\"></span></span>"),
    //忘记密码
    FORGET_PASSWORD("1", "忘记密码", "Reset Your PDF Tech Account Password", "<span style=\"font-size:16px;font-family:Arial;\"><span style=\"font-size:16px;\">Hello,<br />\n" +
            "We have received a request to reset the password for your </span><span style=\"font-size:16px;color:#FF0000;\">PDF Tech Account.</span><span style=\"font-size:16px;\"> If you are not aware of such a request please delete this email.<br />\n" +
            "Please use the below password to log in to Admin Console and change your password.<br />\n" +
            "Email: %s<br />\n" +
            "Password: </span><span style=\"font-size:16px;color:#FF0000;\">%s</span><span style=\"font-size:16px;\"><br />\n" +
            "You are now able to enter the </span><span style=\"font-size:16px;color:#0000FF;\"><a href=\"%s\" target=\"_blank\">Admin consoles</a></span><span style=\"font-size:16px;\">. Due to security reasons, please change your password after finishing logging in.</span></span>"),
   //用户邮箱 公司名 链接 邀请管理员加入团队 管理员未注册
    USER_REGISTER_FOR_ADD_ADMIN("2", "注册用户", "You are added as an administrator of the PDF Tech Console", "<p>\n" +
           "\t<span style=\"font-size:10pt;font-family:Arial;\"><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\"></span><span style=\"font-size:16px;\"><span style=\"font-size:10pt;font-family:Arial;\"><span style=\"font-size:16px;\">Hello </span><span style=\"font-size:16px;color:#0000FF;\">%s</span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\">,</span><br />\n" +
           "<span style=\"font-size:16px;\">You are now a Team administrator for </span></span><span style=\"font-size:16px;color:#0000FF;\">%s</span><span style=\"font-size:16px;\"> within the PDF Tech Console.</span><span style=\"font-size:10pt;color:#FF0000;\"><br />\n" +
           "</span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\">Work with them on your organization.</span><br />\n" +
           "</span><span style=\"font-size:16px;color:#0000FF;\"><a href=\"%s\" target=\"_blank\">Click here to start</a></span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\">! </span><br />\n" +
           "<span style=\"font-size:16px;\">After you finish your register, in your role as team administrator, you have the necessary rights to add and remove the user group members through the PDF Tech Console.</span><br />\n" +
           "</span></span></span></span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\"></span><br />\n" +
           "<span style=\"font-size:16px;\"></span><br />\n" +
           "</span></span> \n" +
           "</p>"),
    //邀请管理员加入团队 管理员已经注册 邮箱 团队名 超管邮箱 登录地址
    JOIN_TEAM_FOR_ADD_ADMIN("3", "团队邀请", "You are added as an administrator of the PDF Tech Console", "<span style=\"font-size:10pt;font-family:Arial;\"><span style=\"font-size:16px;\">Hello </span><span style=\"font-size:16px;color:#0000FF;\">%s</span><span style=\"font-size:16px;\">,</span></span>\n" +
            "<p>\n" +
            "\t<span style=\"font-family:Arial;font-size:10pt;\"><span style=\"font-size:16px;\">You're been invited to be&nbsp;</span><span style=\"font-family:Arial;font-size:16px;\">a &nbsp;</span><span style=\"font-size:16px;\">Team Administrator by </span><span style=\"color:#0000FF;font-family:Arial;font-size:16px;\">%s</span><span style=\"font-size:16px;\"> within PDF Tech Console.</span><span style=\"font-size:16px;\"></span><br />\n" +
            "</span>\n" +
            "</p>\n" +
            "<p>\n" +
            "\t<span style=\"font-family:Arial;font-size:16px;\">In your role as </span><span style=\"font-family:Arial;font-size:16px;color:#0000FF;\">Team administrator,</span><span style=\"font-family:Arial;font-size:16px;\"> you have the necessary rights to add and remove the user group members through the PDF Tech Console.</span>\n" +
            "</p>\n" +
            "<span style=\"font-size:10pt;font-family:Arial;\"><span style=\"font-size:16px;\">To get started, sign in to </span><span style=\"font-size:16px;color:#0000FF;\"><a href=\"%s\" target=\"_blank\">PDF Tech Console</a></span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\">. </span><br />\n" +
            "</span></span>"),
    //邀请管理员加入团队 管理员已经注册但是没有密码
    JOIN_TEAM_FOR_ADD_ADMIN_NO_PASSWORD("7", "团队邀请", "You are added as an administrator of the PDF Tech Console", "<span style=\"font-size:10pt;font-family:Arial;\"><span style=\"font-size:16px;\">Hello </span><span style=\"font-size:16px;color:#0000FF;\">%s</span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\">,</span><br />\n" +
            "<span style=\"font-size:16px;\">You are now a Team administrator for </span></span><span style=\"font-size:16px;color:#0000FF;\"><span style=\"color:#0000FF;font-family:Arial;font-size:16px;\">%s</span></span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\"> within the PDF Tech Console.</span><br />\n" +
            "<span style=\"font-size:16px;\">In your role as </span></span><span style=\"font-size:16px;color:#0000FF;\">Team administrator,</span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\"> you have the necessary rights to add and remove the user group members through the PDF Tech Console.</span><br />\n" +
            "<span style=\"font-size:16px;\">Please use the below password to log in to PDF Tech Console. Please be sure to change the password we gave you (initial password).</span><br />\n" +
            "<span style=\"font-size:16px;\">Email: %s</span><br />\n" +
            "<span style=\"font-size:16px;\">Password: </span></span><span style=\"font-size:16px;color:#FF0000;\">%s</span><span style=\"font-size:10pt;\"><br />\n" +
            "<span style=\"font-size:16px;\">To get started, sign in to </span></span><span style=\"font-size:16px;color:#0000FF;\"><a href=\"%s\" target=\"_blank\">PDF Tech Console</a></span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\">. </span><br />\n" +
            "</span></span>"),
    //邀请普通用户加入团队
    JOIN_TEAM_FOR_MEMBER("4", "团队邀请", "%s has invited you to join your team for PDF Tech products", "<span style=\"font-size:16px;\">Dear&nbsp;</span><span style=\"color:#337FE5;font-size:16px;\">%s</span><span style=\"font-size:16px;\">,</span><br />\n" +
            "<span style=\"font-size:16px;\"> The&nbsp;admin&nbsp;of&nbsp;<span style=\"color:#337FE5;\">%s</span>&nbsp;and&nbsp;your&nbsp;team&nbsp;are&nbsp;waiting&nbsp;for&nbsp;you&nbsp;to&nbsp;join&nbsp;your&nbsp;team&nbsp;to&nbsp;access&nbsp;<span style=\"color:#E53333;\">PDF&nbsp;Tech&nbsp;products</span>.</span><br />\n" +
            "<span style=\"font-size:16px;\"> Work&nbsp;with&nbsp;them&nbsp;on&nbsp;your&nbsp;organization.</span><br />\n" +
            "<span style=\"font-size:16px;\"> <span style=\"color:#337FE5;\"><a href=\"%s\" target=\"_blank\">Click&nbsp;here&nbsp;to&nbsp;join&nbsp;now</a></span><span>!&nbsp;(The&nbsp;link&nbsp;expires&nbsp;in&nbsp;<span style=\"color:#E53333;\">72&nbsp;hours</span>)</span></span><br />\n" +
            "<span style=\"font-size:16px;\"> After&nbsp;you&nbsp;click&nbsp;to&nbsp;agree&nbsp;to&nbsp;join&nbsp;the&nbsp;organization,&nbsp;you&nbsp;can&nbsp;wait&nbsp;for&nbsp;the&nbsp;administrator&nbsp;to&nbsp;assign&nbsp;you&nbsp;a&nbsp;license&nbsp;or&nbsp;actively&nbsp;contact&nbsp;your&nbsp;enterprise&nbsp;administrator&nbsp;to&nbsp;assign&nbsp;you&nbsp;a&nbsp;license.</span>"),

    //取消设备授权 被授权邮箱 设备型号 产品名称 产品名称  设备型号 超管邮箱
    CANCEL_DEVICE_ASSIGN("6", "取消设备授权通知", "Your organization's administrator has unbound device from your PDF Tech account", "<p>\n" +
            "\t<span style=\"font-size:10pt;font-family:Arial;\"><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\"></span><span style=\"font-size:16px;\"><span style=\"font-size:10pt;font-family:Arial;\"><span style=\"font-size:16px;\"><span style=\"font-size:10pt;font-family:Arial;\"><span style=\"font-size:16px;\"><span style=\"font-size:10pt;font-family:Arial;\"><span style=\"font-size:16px;\">Dear </span><span style=\"font-size:16px;color:#0000FF;\">%s</span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\">,</span><br />\n" +
            "<span style=\"font-size:16px;\">Your device </span></span><span style=\"font-size:16px;color:#0000FF;\">%s</span><span style=\"font-size:16px;\"> for </span><span style=\"font-size:16px;color:#0000FF;\">%s</span><span style=\"font-size:16px;\"> has been unbound by your organization's administrator. </span><span style=\"font-size:16px;color:#0000FF;\">%s</span><span style=\"font-size:16px;\"> will be automatically unbound with device </span><span style=\"font-size:16px;color:#0000FF;\">%s</span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\">.</span><br />\n" +
            "<span style=\"font-size:16px;\">If you have any questions, please contact your organization's administrator (</span></span><span style=\"font-size:16px;color:#0000FF;\">%s</span><span style=\"font-size:16px;\">).</span></span></span></span></span></span></span></span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\"></span><br />\n" +
            "<span style=\"font-size:16px;\"></span><br />\n" +
            "</span></span> \n" +
            "</p>"),
    ASSIGN_LICENSE_CODE("5", "账号被授权", "Your organization administrator has updated your PDF Tech licenses", "<p>\n" +
            "\t<span style=\"font-size:16px;font-family:Arial;\"><span style=\"font-size:16px;font-family:Arial;\"><span style=\"font-size:10pt;font-family:Arial;\"><span style=\"font-size:16px;\">Dear </span><span style=\"font-size:16px;color:#0000FF;\">%s</span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\">,</span><br />\n" +
            "<span style=\"font-size:16px;\">Your PDF Tech licenses have been updated by your organization's administrator.</span><br />\n" +
            "<span style=\"font-size:16px;\">Currently, you have licenses for the product(s) below:</span><br />\n" +
            "</span><span style=\"font-size:10pt;color:#0000FF;\"><br />\n" +
            "</span><span style=\"font-size:16px;font-weight:bold;color:#0000FF;\">%s</span></span></span></span>\n" +
            "</p>\n" +
            "<p>\n" +
            "\t<span style=\"font-size:16px;font-family:Arial;\"><span style=\"font-size:16px;font-family:Arial;\"><span style=\"font-size:10pt;font-family:Arial;\"><span style=\"font-size:16px;font-weight:bold;color:#0000FF;\"><br />\n" +
            "</span></span></span></span>\n" +
            "</p>\n" +
            "<p>\n" +
            "\t<span style=\"font-family:Arial;\"><span style=\"font-family:Arial;\"><span style=\"font-family:Arial;\"> <span style=\"font-size:16px;\">Please visit </span><span style=\"font-size:16px;color:#0000FF;\">%s</span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\">, and activate your license code to enjoy your product.</span><br />\n" +
            "<span style=\"font-size:16px;\">If you have any questions, please contact your organization's administrator (<span style=\"color:#337FE5;\"><span style=\"color:#0000FF;font-family:Arial;font-size:16px;\">%s</span></span></span></span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\">).</span></span></span></span></span>\n" +
            "</p>\n" +
            "<p>\n" +
            "\t<span style=\"font-family:Arial;\"><span style=\"font-family:Arial;\"><span style=\"font-family:Arial;\"><span style=\"font-size:16px;\"><br />\n" +
            "</span> <span style=\"font-size:16px;font-weight:bold;\">How to use license:</span></span></span></span> \n" +
            "</p>\n" +
            "<p>\n" +
            "\t<span style=\"font-family:Arial;\"><span style=\"font-size:16px;\"><br />\n" +
            "</span><span style=\"font-size:16px;font-weight:bold;\"><span style=\"font-size:16px;\"></span></span></span> \n" +
            "</p>"+
            "<p>\n" +
            "%s" +
            "</p>\n" ),
    //取消序列码授权（被授权邮箱，产品名称，产品名称，管理员邮箱）
    CANCEL_LICENSE_ASSIGN("7", "取消序列码授权通知", "Your organization's administrator has revoked your PDF Tech licenses",
            "<span style=\"font-size:10pt;font-family:Arial;\"><span style=\"font-size:16px;\">Dear </span><span style=\"font-size:16px;color:#0000FF;\">%s</span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\">,</span><br />\n" +
                    "<span style=\"font-size:16px;\"> Your licenses for </span></span><span style=\"font-size:16px;color:#0000FF;\">%s</span><span style=\"font-size:16px;\"> have been revoked by your organization's administrator. </span><span style=\"font-size:16px;color:#0000FF;\">%s</span><span style=\"font-size:10pt;\"><span style=\"font-size:16px;\"> will be automatically deactivated.</span><br />\n" +
                    "<span style=\"font-size:16px;\"> If you have any questions, please contact your organization's administrator (</span></span><span style=\"font-size:16px;color:#0000FF;\">%s</span><span style=\"font-size:16px;\">).</span></span>"),;

    private final String value;
    private final String action;

    private final String subject;

    private final String text;

    public String subject() {
        return subject;
    }

    public String text() {
        return text;
    }

    CaptchaActionEnum(String value, String action, String subject, String text) {
        this.value = value;
        this.action = action;
        this.subject = subject;
        this.text = text;
    }

    public static CaptchaActionEnum getEnumByValue(String value) {
        for (CaptchaActionEnum modeEnum : CaptchaActionEnum.values()) {
            if (modeEnum.value().equals(value)) {
                return modeEnum;
            }
        }
        return null;
    }

    public String value() {
        return value;
    }

    public String action() {
        return action;
    }

}
